/* A Bison parser, made by GNU Bison 2.4.3.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006,
   2009, 2010 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.3"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         parseurparse
#define yylex           parseurlex
#define yyerror         parseurerror
#define yylval          parseurlval
#define yychar          parseurchar
#define yydebug         parseurdebug
#define yynerrs         parseurnerrs
#define yylloc          parseurlloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 19 "analyseur.syn.ypp"

#include <src/investigation/analyseur/includes.h>

	extern FILE* parseurin;
	extern int parseurlex();
	int parseurerror(Investigation::Donnees::SiteSP&, Investigation::Donnees::DebugConditionsSP&, std::string);

#define YYDEBUG 0

#define YYLTYPE Investigation::Global::Source::Position
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do \
		if(YYID(N)) \
		{\
			Current = Rhs[1];\
		}\
		else\
		{\
			Current = Rhs[0];\
		}\
	while(YYID(0))





/* Line 189 of yacc.c  */
#line 107 "analyseur.syn.cpp"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     TOKEN_IDENTIFIANT = 258,
     TOKEN_CHAINE = 259,
     TOKEN_LIGNE_TEXTE = 260,
     TOKEN_ET = 261,
     TOKEN_OU_INCLUSIF = 262,
     TOKEN_OU_EXCLUSIF = 263,
     TOKEN_NON = 264,
     TOKEN_PAR_OUVRANTE = 265,
     TOKEN_PAR_FERMANTE = 266,
     TOKEN_PAGE = 267,
     TOKEN_TITRE = 268,
     TOKEN_TEXTE = 269,
     TOKEN_QUESTION = 270,
     TOKEN_FIN = 271,
     TOKEN_CONDITIONNEL = 272,
     TOKEN_CAS = 273,
     TOKEN_ALORS = 274,
     TOKEN_SINON = 275,
     TOKEN_STYLE = 276,
     TOKEN_BROUILLON = 277,
     TOKEN_REGEX = 278,
     TOKEN_REGEX_ENSEMBLE_DEBUT = 279,
     TOKEN_REGEX_ENSEMBLE_FIN = 280,
     TOKEN_REGEX_JOKER = 281,
     TOKEN_DEBUG = 282,
     TOKEN_REGEX_NON = 283,
     TOKEN_REGEX_PLUSIEURS = 284,
     TOKEN_REGEX_AUPLUSUN = 285,
     TOKEN_REGEX_AUMOINSUN = 286,
     TOKEN_REGEX_OU = 287
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 54 "analyseur.syn.ypp"

	bool Booleen;
	std::string *Chaine;
	std::vector<std::string> *ListeChaine;
	std::set<std::string> *EnsembleChaine;
	Investigation::Donnees::ExpressionRationnelle<std::string> *ExpressionRationnelle;
	Investigation::Donnees::ExpressionRationnelleSequence<std::string> *ExpressionRationnelleSequence;
	Investigation::Donnees::ExpressionRationnelleAlternative<std::string> *ExpressionRationnelleAlternative;
	Investigation::Donnees::SequenceInstructions *SequenceInstructions;
	Investigation::Donnees::Instruction *Instruction;
	Investigation::Donnees::Page *Page;
	Investigation::Donnees::SelectionPage *SelectionPage;
	Investigation::Donnees::SequenceContenuPage *SequenceContenuPage;
	Investigation::Donnees::ContenuPage *ContenuPage;
	Investigation::Donnees::SequenceReponses *SequenceReponses;
	Investigation::Donnees::Reponse *Reponse;
	typename Investigation::Donnees::Selection<Investigation::Donnees::Reponse>::SequenceClauses *ClausesReponses;
	Investigation::Donnees::Condition *Condition;
	Investigation::Donnees::ConditionEt *ConditionEt;
	Investigation::Donnees::ConditionOuInclusif *ConditionOuInclusif;
	Investigation::Donnees::ConditionOuExclusif *ConditionOuExclusif;
	typename Investigation::Donnees::Selection<Investigation::Donnees::Instruction>::SequenceClauses *SequenceClausesPages;
	typename Investigation::Donnees::Selection<Investigation::Donnees::Instruction>::Clause *ClausesPages;



/* Line 214 of yacc.c  */
#line 202 "analyseur.syn.cpp"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 227 "analyseur.syn.cpp"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  11
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   312

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  33
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  43
/* YYNRULES -- Number of rules.  */
#define YYNRULES  102
/* YYNRULES -- Number of states.  */
#define YYNSTATES  209

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   287

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     8,    10,    12,    15,    17,    21,    23,
      26,    29,    33,    36,    37,    40,    43,    47,    48,    49,
      52,    54,    56,    63,    72,    73,    75,    76,    79,    81,
      83,    87,    88,    91,    96,    97,   100,   102,   107,   108,
     114,   115,   118,   121,   126,   128,   131,   136,   137,   140,
     142,   144,   146,   149,   151,   154,   157,   161,   163,   165,
     167,   169,   174,   178,   182,   184,   188,   192,   197,   202,
     204,   209,   213,   217,   219,   223,   227,   232,   237,   239,
     244,   248,   252,   254,   258,   262,   267,   272,   276,   277,
     280,   282,   284,   288,   291,   294,   297,   301,   305,   310,
     312,   315,   319
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int8 yyrhs[] =
{
      34,     0,    -1,    39,    43,    41,    40,    -1,    35,    -1,
      37,    -1,    35,    36,    -1,    37,    -1,    18,    59,    19,
      -1,    71,    -1,     1,    19,    -1,     1,    23,    -1,    27,
      38,    16,    -1,     1,    16,    -1,    -1,    38,     3,    -1,
      13,     4,    -1,    21,    48,    16,    -1,    -1,    -1,    41,
      42,    -1,    43,    -1,    55,    -1,    44,    12,     3,    38,
      45,    16,    -1,    44,    12,     3,    38,    13,     4,    45,
      16,    -1,    -1,    22,    -1,    -1,    45,    46,    -1,    47,
      -1,    49,    -1,    14,    48,    16,    -1,    -1,    48,     5,
      -1,    15,     4,    50,    16,    -1,    -1,    50,    51,    -1,
      54,    -1,    17,    52,    53,    16,    -1,    -1,    52,    18,
      59,    19,    50,    -1,    -1,    20,    50,    -1,     3,     4,
      -1,    17,    56,    58,    16,    -1,    57,    -1,    56,    57,
      -1,    18,    59,    19,    41,    -1,    -1,    20,    41,    -1,
      60,    -1,    61,    -1,     3,    -1,     9,     3,    -1,    71,
      -1,     9,    71,    -1,    30,    71,    -1,     9,    30,    71,
      -1,    62,    -1,    65,    -1,    68,    -1,    63,    -1,     9,
      10,    63,    11,    -1,    64,     6,    64,    -1,    63,     6,
      64,    -1,    60,    -1,    10,    66,    11,    -1,    10,    69,
      11,    -1,     9,    10,    66,    11,    -1,     9,    10,    69,
      11,    -1,    66,    -1,     9,    10,    66,    11,    -1,    67,
       7,    67,    -1,    66,     7,    67,    -1,    60,    -1,    10,
      63,    11,    -1,    10,    69,    11,    -1,     9,    10,    63,
      11,    -1,     9,    10,    69,    11,    -1,    69,    -1,     9,
      10,    69,    11,    -1,    70,     8,    70,    -1,    69,     8,
      70,    -1,    60,    -1,    10,    66,    11,    -1,    10,    63,
      11,    -1,     9,    10,    66,    11,    -1,     9,    10,    63,
      11,    -1,    23,    72,    23,    -1,    -1,    72,    73,    -1,
       3,    -1,    26,    -1,    10,    72,    11,    -1,    73,    30,
      -1,    73,    31,    -1,    73,    29,    -1,    10,    75,    11,
      -1,    24,    74,    25,    -1,    24,    28,    74,    25,    -1,
       3,    -1,    74,     3,    -1,    72,    32,    72,    -1,    75,
      32,    72,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   134,   134,   141,   146,   150,   155,   158,   163,   168,
     172,   178,   184,   191,   194,   202,   209,   215,   220,   223,
     231,   235,   241,   250,   263,   266,   273,   276,   284,   288,
     294,   302,   305,   313,   322,   325,   333,   337,   346,   349,
     360,   363,   369,   378,   387,   393,   401,   411,   414,   420,
     424,   430,   435,   441,   446,   452,   457,   465,   469,   473,
     479,   483,   490,   496,   504,   508,   512,   516,   521,   528,
     532,   539,   545,   553,   557,   561,   565,   570,   577,   581,
     588,   594,   602,   606,   610,   614,   619,   626,   633,   636,
     644,   649,   653,   657,   662,   667,   672,   676,   681,   688,
     694,   702,   710
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "TOKEN_IDENTIFIANT", "TOKEN_CHAINE",
  "TOKEN_LIGNE_TEXTE", "TOKEN_ET", "TOKEN_OU_INCLUSIF",
  "TOKEN_OU_EXCLUSIF", "TOKEN_NON", "TOKEN_PAR_OUVRANTE",
  "TOKEN_PAR_FERMANTE", "TOKEN_PAGE", "TOKEN_TITRE", "TOKEN_TEXTE",
  "TOKEN_QUESTION", "TOKEN_FIN", "TOKEN_CONDITIONNEL", "TOKEN_CAS",
  "TOKEN_ALORS", "TOKEN_SINON", "TOKEN_STYLE", "TOKEN_BROUILLON",
  "TOKEN_REGEX", "TOKEN_REGEX_ENSEMBLE_DEBUT", "TOKEN_REGEX_ENSEMBLE_FIN",
  "TOKEN_REGEX_JOKER", "TOKEN_DEBUG", "TOKEN_REGEX_NON",
  "TOKEN_REGEX_PLUSIEURS", "TOKEN_REGEX_AUPLUSUN", "TOKEN_REGEX_AUMOINSUN",
  "TOKEN_REGEX_OU", "$accept", "entree", "debug_conditions",
  "debug_condition", "debug_change_identifiants", "liste_identifiants",
  "titre_general", "style", "liste_instructions", "instruction", "page",
  "brouillon", "liste_contenu_page", "contenu_page", "texte",
  "liste_ligne_texte", "question", "liste_reponses",
  "reponse_conditionnelle", "liste_reponses_cas",
  "reponse_cas_defaut_optionnel", "reponse", "pages_conditionelles",
  "liste_pages_conditionelles_cas", "pages_conditionelles_cas",
  "pages_cas_defaut_optionnel", "condition", "literal", "operateur",
  "operateur_et", "operateur_et_positif", "argument_et",
  "operateur_ou_inclusif", "operateur_ou_inclusif_positif",
  "argument_ou_inclusif", "operateur_ou_exclusif",
  "operateur_ou_exclusif_positif", "argument_ou_exclusif",
  "expression_rationnelle", "liste_expression_rationnelle",
  "element_expression_rationnelle",
  "liste_identifiants_expression_rationnelle",
  "alternative_expression_rationnelle", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint8 yyr1[] =
{
       0,    33,    34,    34,    35,    35,    36,    36,    36,    36,
      36,    37,    37,    38,    38,    39,    40,    40,    41,    41,
      42,    42,    43,    43,    44,    44,    45,    45,    46,    46,
      47,    48,    48,    49,    50,    50,    51,    51,    52,    52,
      53,    53,    54,    55,    56,    56,    57,    58,    58,    59,
      59,    60,    60,    60,    60,    60,    60,    61,    61,    61,
      62,    62,    63,    63,    64,    64,    64,    64,    64,    65,
      65,    66,    66,    67,    67,    67,    67,    67,    68,    68,
      69,    69,    70,    70,    70,    70,    70,    71,    72,    72,
      73,    73,    73,    73,    73,    73,    73,    73,    73,    74,
      74,    75,    75
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     4,     1,     1,     2,     1,     3,     1,     2,
       2,     3,     2,     0,     2,     2,     3,     0,     0,     2,
       1,     1,     6,     8,     0,     1,     0,     2,     1,     1,
       3,     0,     2,     4,     0,     2,     1,     4,     0,     5,
       0,     2,     2,     4,     1,     2,     4,     0,     2,     1,
       1,     1,     2,     1,     2,     2,     3,     1,     1,     1,
       1,     4,     3,     3,     1,     3,     3,     4,     4,     1,
       4,     3,     3,     1,     3,     3,     4,     4,     1,     4,
       3,     3,     1,     3,     3,     4,     4,     3,     0,     2,
       1,     1,     3,     2,     2,     2,     3,     3,     4,     1,
       2,     3,     3
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint8 yydefact[] =
{
       0,     0,     0,    13,     0,     0,     4,    24,    12,    15,
       0,     1,     0,     0,    88,     5,     6,     8,    25,    18,
       0,    14,    11,     9,    10,    51,     0,     0,     0,     0,
      49,    50,    57,    60,     0,    58,    69,     0,    59,    78,
       0,    53,     0,    17,     0,    52,     0,     0,    54,     0,
      64,     0,     0,     0,    55,     7,     0,     0,     0,     0,
       0,     0,    90,    88,    87,     0,    91,    89,     0,    31,
       2,    19,    20,    21,    13,     0,     0,     0,    56,     0,
      74,    65,    66,     0,     0,    64,    63,    62,     0,     0,
      73,    72,    71,     0,     0,    82,    81,    80,     0,     0,
      99,     0,     0,    95,    93,    94,     0,    47,    44,     0,
      26,    61,    67,    68,     0,     0,     0,     0,     0,     0,
      73,     0,     0,     0,     0,     0,    64,     0,     0,     0,
       0,     0,    64,     0,     0,    92,    88,    96,    88,     0,
     100,    97,     0,    18,    45,     0,    32,    16,     0,     0,
      76,    67,    68,     0,     0,     0,    65,    66,     0,     0,
       0,    74,    75,     0,     0,     0,    84,    83,   101,   102,
      98,    18,    24,    43,    26,    31,     0,    22,    27,    28,
      29,    67,    68,    76,    77,    86,    85,    46,     0,     0,
      34,    23,    30,     0,     0,    33,    38,    35,    36,    42,
      40,     0,    34,     0,     0,    41,    37,    34,    39
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     4,     5,    15,     6,    10,     7,    70,    43,    71,
      72,    20,   149,   178,   179,   109,   180,   193,   197,   200,
     203,   198,    73,   107,   108,   145,    29,    50,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      67,   102,    99
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -138
static const yytype_int16 yypact[] =
{
      25,    34,    82,  -138,    72,    36,  -138,    99,  -138,  -138,
      58,  -138,   114,     5,  -138,  -138,  -138,  -138,  -138,  -138,
     103,  -138,  -138,  -138,  -138,  -138,   174,   117,    71,   113,
     263,  -138,  -138,   133,   139,  -138,   150,   201,  -138,   168,
     258,  -138,    65,   207,   284,  -138,   117,    71,  -138,   183,
     274,   112,   236,    95,  -138,  -138,   141,   141,   143,   143,
     152,   152,  -138,  -138,  -138,    13,  -138,   243,   270,  -138,
    -138,  -138,  -138,  -138,  -138,   118,   237,   206,  -138,   117,
     283,   285,   247,   186,   160,  -138,  -138,  -138,   188,   169,
    -138,  -138,  -138,   192,   171,  -138,  -138,  -138,     1,    47,
    -138,   289,    -1,  -138,  -138,  -138,     5,    46,  -138,    15,
      10,   276,    41,    50,   154,   238,   250,   160,   197,   117,
     286,   239,   251,   169,   200,   117,   286,   227,   252,   171,
     202,   117,   288,   228,   244,  -138,  -138,  -138,  -138,    14,
    -138,  -138,   277,  -138,  -138,   281,  -138,  -138,   294,   261,
     291,   292,   295,   245,   256,   117,  -138,  -138,   229,   257,
     117,  -138,  -138,   230,   246,   117,  -138,  -138,   132,   132,
    -138,  -138,    68,  -138,  -138,  -138,   297,  -138,  -138,  -138,
    -138,  -138,  -138,  -138,  -138,  -138,  -138,   209,   264,    93,
    -138,  -138,  -138,     2,   299,  -138,  -138,  -138,  -138,  -138,
     167,     5,  -138,   290,   293,    39,  -138,  -138,    39
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -138,  -138,  -138,  -138,   300,   233,  -138,  -138,  -137,  -138,
     301,  -138,   130,  -138,  -138,   134,  -138,    35,  -138,  -138,
    -138,  -138,  -138,  -138,   203,  -138,  -105,   -13,  -138,  -138,
     -24,   111,  -138,   -17,   231,  -138,    -6,   225,     4,   -56,
    -138,   210,  -138
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -87
static const yytype_int16 yytable[] =
{
      30,   142,   140,    51,    62,   194,   172,    98,    25,    17,
      52,    63,   135,    21,    26,    27,   100,   140,   195,   196,
     146,    53,    75,   148,   141,    65,     1,    66,    14,    76,
      48,   147,    54,   136,   187,    28,    -3,    12,     2,   170,
      77,   101,   194,    85,    85,    90,    90,    95,    95,   -85,
       8,    78,     3,    48,    13,   114,   196,   -77,   137,    14,
     -70,    21,   115,     3,   106,   127,   143,   121,    62,   -79,
     133,   120,    11,   116,    22,    63,   126,   134,   122,   138,
     168,   132,   169,   128,   -48,    68,     9,    48,    64,    65,
      18,    66,    48,    30,    14,    51,   204,    48,   146,   158,
     153,   133,   134,    60,   120,   163,    82,   127,    52,   192,
     126,   154,   164,   128,   121,    44,   132,   159,    56,   122,
      25,    18,    48,    80,    56,    53,    49,    27,    48,   111,
       8,   114,    55,    23,    48,    62,   163,    24,   164,    56,
      14,   158,    63,   115,    25,    57,    25,    28,   153,   159,
      83,    84,    88,    89,   154,    25,    65,    58,    66,   116,
      56,    93,    94,    25,    14,   150,    14,    86,    87,   118,
     119,    28,    25,    28,    25,    14,    60,    45,   124,   125,
     130,   131,    28,    14,    46,   201,    45,   202,    30,    45,
      28,    45,    14,    79,    14,    45,   117,    14,   123,    28,
      45,    28,   129,    45,    47,    45,    14,   155,    59,    14,
     160,    14,   165,    47,    60,    14,    47,   113,    47,   -24,
      14,   -24,    47,    14,    68,    14,    68,    47,    69,    18,
      47,    18,    47,    56,    56,    56,    56,   205,   161,   166,
     183,   185,   208,    58,    58,    58,    58,    81,   112,   151,
     156,    58,    58,    58,   -75,   167,   181,   186,    60,    60,
      60,   152,   157,   162,    60,    60,    61,   182,   184,   -64,
     -73,   -82,   103,   104,   105,   175,   176,   177,   175,   176,
     191,   -73,   -82,   -76,   -86,    96,    97,    74,   106,    91,
      92,   -84,   100,   -83,   -82,   -73,   171,   173,   174,   -86,
     -85,   190,   -77,   199,   188,    16,   206,   110,    19,   189,
     144,   139,   207
};

static const yytype_uint8 yycheck[] =
{
      13,   106,     3,    27,     3,     3,   143,    63,     3,     5,
      27,    10,    11,     3,     9,    10,     3,     3,    16,    17,
       5,    27,    46,    13,    25,    24,     1,    26,    23,    46,
      26,    16,    28,    32,   171,    30,     0,     1,    13,    25,
      46,    28,     3,    56,    57,    58,    59,    60,    61,     8,
      16,    47,    27,    49,    18,    79,    17,     7,    11,    23,
      19,     3,    79,    27,    18,    89,    20,    84,     3,    19,
      94,    84,     0,    79,    16,    10,    89,    94,    84,    32,
     136,    94,   138,    89,    16,    17,     4,    83,    23,    24,
      22,    26,    88,   106,    23,   119,   201,    93,     5,   123,
     117,   125,   119,     8,   117,   129,    11,   131,   125,    16,
     123,   117,   129,   119,   131,    12,   129,   123,     6,   125,
       3,    22,   118,    11,     6,   131,     9,    10,   124,    11,
      16,   155,    19,    19,   130,     3,   160,    23,   155,     6,
      23,   165,    10,   160,     3,     6,     3,    30,   165,   155,
       9,    10,     9,    10,   160,     3,    24,     7,    26,   165,
       6,     9,    10,     3,    23,    11,    23,    56,    57,     9,
      10,    30,     3,    30,     3,    23,     8,     3,     9,    10,
       9,    10,    30,    23,    10,    18,     3,    20,   201,     3,
      30,     3,    23,    10,    23,     3,    10,    23,    10,    30,
       3,    30,    10,     3,    30,     3,    23,    10,     7,    23,
      10,    23,    10,    30,     8,    23,    30,    11,    30,    12,
      23,    12,    30,    23,    17,    23,    17,    30,    21,    22,
      30,    22,    30,     6,     6,     6,     6,   202,    11,    11,
      11,    11,   207,     7,     7,     7,     7,    11,    11,    11,
      11,     7,     7,     7,     7,    11,    11,    11,     8,     8,
       8,    11,    11,    11,     8,     8,     8,    11,    11,     6,
       7,     8,    29,    30,    31,    14,    15,    16,    14,    15,
      16,     7,     8,     7,     8,    60,    61,     3,    18,    58,
      59,     8,     3,     8,     8,     7,    19,    16,     4,     8,
       8,     4,     7,     4,   174,     5,    16,    74,     7,   175,
     107,   101,    19
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint8 yystos[] =
{
       0,     1,    13,    27,    34,    35,    37,    39,    16,     4,
      38,     0,     1,    18,    23,    36,    37,    71,    22,    43,
      44,     3,    16,    19,    23,     3,     9,    10,    30,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    41,    12,     3,    10,    30,    71,     9,
      60,    63,    66,    69,    71,    19,     6,     6,     7,     7,
       8,     8,     3,    10,    23,    24,    26,    73,    17,    21,
      40,    42,    43,    55,     3,    63,    66,    69,    71,    10,
      11,    11,    11,     9,    10,    60,    64,    64,     9,    10,
      60,    67,    67,     9,    10,    60,    70,    70,    72,    75,
       3,    28,    74,    29,    30,    31,    18,    56,    57,    48,
      38,    11,    11,    11,    63,    66,    69,    10,     9,    10,
      60,    66,    69,    10,     9,    10,    60,    63,    69,    10,
       9,    10,    60,    63,    66,    11,    32,    11,    32,    74,
       3,    25,    59,    20,    57,    58,     5,    16,    13,    45,
      11,    11,    11,    66,    69,    10,    11,    11,    63,    69,
      10,    11,    11,    63,    66,    10,    11,    11,    72,    72,
      25,    19,    41,    16,     4,    14,    15,    16,    46,    47,
      49,    11,    11,    11,    11,    11,    11,    41,    45,    48,
       4,    16,    16,    50,     3,    16,    17,    51,    54,     4,
      52,    18,    20,    53,    59,    50,    16,    19,    50
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (site, debug_conditions, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, site, debug_conditions); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, Investigation::Donnees::SiteSP& site, Investigation::Donnees::DebugConditionsSP& debug_conditions)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, site, debug_conditions)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    Investigation::Donnees::SiteSP& site;
    Investigation::Donnees::DebugConditionsSP& debug_conditions;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (site);
  YYUSE (debug_conditions);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, Investigation::Donnees::SiteSP& site, Investigation::Donnees::DebugConditionsSP& debug_conditions)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, site, debug_conditions)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    Investigation::Donnees::SiteSP& site;
    Investigation::Donnees::DebugConditionsSP& debug_conditions;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, site, debug_conditions);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, Investigation::Donnees::SiteSP& site, Investigation::Donnees::DebugConditionsSP& debug_conditions)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, site, debug_conditions)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    Investigation::Donnees::SiteSP& site;
    Investigation::Donnees::DebugConditionsSP& debug_conditions;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , site, debug_conditions);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, site, debug_conditions); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, Investigation::Donnees::SiteSP& site, Investigation::Donnees::DebugConditionsSP& debug_conditions)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, site, debug_conditions)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    Investigation::Donnees::SiteSP& site;
    Investigation::Donnees::DebugConditionsSP& debug_conditions;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (site);
  YYUSE (debug_conditions);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {
      case 3: /* "TOKEN_IDENTIFIANT" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Chaine); };

/* Line 1009 of yacc.c  */
#line 1371 "analyseur.syn.cpp"
	break;
      case 4: /* "TOKEN_CHAINE" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Chaine); };

/* Line 1009 of yacc.c  */
#line 1380 "analyseur.syn.cpp"
	break;
      case 5: /* "TOKEN_LIGNE_TEXTE" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Chaine); };

/* Line 1009 of yacc.c  */
#line 1389 "analyseur.syn.cpp"
	break;
      case 38: /* "liste_identifiants" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ListeChaine); };

/* Line 1009 of yacc.c  */
#line 1398 "analyseur.syn.cpp"
	break;
      case 41: /* "liste_instructions" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->SequenceInstructions); };

/* Line 1009 of yacc.c  */
#line 1407 "analyseur.syn.cpp"
	break;
      case 42: /* "instruction" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Instruction); };

/* Line 1009 of yacc.c  */
#line 1416 "analyseur.syn.cpp"
	break;
      case 43: /* "page" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Page); };

/* Line 1009 of yacc.c  */
#line 1425 "analyseur.syn.cpp"
	break;
      case 44: /* "brouillon" */

/* Line 1009 of yacc.c  */
#line 127 "analyseur.syn.ypp"
	{ };

/* Line 1009 of yacc.c  */
#line 1434 "analyseur.syn.cpp"
	break;
      case 45: /* "liste_contenu_page" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->SequenceContenuPage); };

/* Line 1009 of yacc.c  */
#line 1443 "analyseur.syn.cpp"
	break;
      case 46: /* "contenu_page" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ContenuPage); };

/* Line 1009 of yacc.c  */
#line 1452 "analyseur.syn.cpp"
	break;
      case 47: /* "texte" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ContenuPage); };

/* Line 1009 of yacc.c  */
#line 1461 "analyseur.syn.cpp"
	break;
      case 48: /* "liste_ligne_texte" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Chaine); };

/* Line 1009 of yacc.c  */
#line 1470 "analyseur.syn.cpp"
	break;
      case 49: /* "question" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ContenuPage); };

/* Line 1009 of yacc.c  */
#line 1479 "analyseur.syn.cpp"
	break;
      case 50: /* "liste_reponses" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->SequenceReponses); };

/* Line 1009 of yacc.c  */
#line 1488 "analyseur.syn.cpp"
	break;
      case 51: /* "reponse_conditionnelle" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Reponse); };

/* Line 1009 of yacc.c  */
#line 1497 "analyseur.syn.cpp"
	break;
      case 52: /* "liste_reponses_cas" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ClausesReponses); };

/* Line 1009 of yacc.c  */
#line 1506 "analyseur.syn.cpp"
	break;
      case 53: /* "reponse_cas_defaut_optionnel" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->SequenceReponses); };

/* Line 1009 of yacc.c  */
#line 1515 "analyseur.syn.cpp"
	break;
      case 54: /* "reponse" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Reponse); };

/* Line 1009 of yacc.c  */
#line 1524 "analyseur.syn.cpp"
	break;
      case 55: /* "pages_conditionelles" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->SelectionPage); };

/* Line 1009 of yacc.c  */
#line 1533 "analyseur.syn.cpp"
	break;
      case 56: /* "liste_pages_conditionelles_cas" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->SequenceClausesPages); };

/* Line 1009 of yacc.c  */
#line 1542 "analyseur.syn.cpp"
	break;
      case 57: /* "pages_conditionelles_cas" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ClausesPages); };

/* Line 1009 of yacc.c  */
#line 1551 "analyseur.syn.cpp"
	break;
      case 58: /* "pages_cas_defaut_optionnel" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->SequenceInstructions); };

/* Line 1009 of yacc.c  */
#line 1560 "analyseur.syn.cpp"
	break;
      case 59: /* "condition" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1569 "analyseur.syn.cpp"
	break;
      case 60: /* "literal" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1578 "analyseur.syn.cpp"
	break;
      case 61: /* "operateur" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1587 "analyseur.syn.cpp"
	break;
      case 62: /* "operateur_et" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1596 "analyseur.syn.cpp"
	break;
      case 63: /* "operateur_et_positif" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ConditionEt); };

/* Line 1009 of yacc.c  */
#line 1605 "analyseur.syn.cpp"
	break;
      case 64: /* "argument_et" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1614 "analyseur.syn.cpp"
	break;
      case 65: /* "operateur_ou_inclusif" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1623 "analyseur.syn.cpp"
	break;
      case 66: /* "operateur_ou_inclusif_positif" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ConditionOuInclusif); };

/* Line 1009 of yacc.c  */
#line 1632 "analyseur.syn.cpp"
	break;
      case 67: /* "argument_ou_inclusif" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1641 "analyseur.syn.cpp"
	break;
      case 68: /* "operateur_ou_exclusif" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1650 "analyseur.syn.cpp"
	break;
      case 69: /* "operateur_ou_exclusif_positif" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ConditionOuExclusif); };

/* Line 1009 of yacc.c  */
#line 1659 "analyseur.syn.cpp"
	break;
      case 70: /* "argument_ou_exclusif" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->Condition); };

/* Line 1009 of yacc.c  */
#line 1668 "analyseur.syn.cpp"
	break;
      case 71: /* "expression_rationnelle" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ExpressionRationnelle); };

/* Line 1009 of yacc.c  */
#line 1677 "analyseur.syn.cpp"
	break;
      case 72: /* "liste_expression_rationnelle" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ExpressionRationnelleSequence); };

/* Line 1009 of yacc.c  */
#line 1686 "analyseur.syn.cpp"
	break;
      case 73: /* "element_expression_rationnelle" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ExpressionRationnelle); };

/* Line 1009 of yacc.c  */
#line 1695 "analyseur.syn.cpp"
	break;
      case 74: /* "liste_identifiants_expression_rationnelle" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->EnsembleChaine); };

/* Line 1009 of yacc.c  */
#line 1704 "analyseur.syn.cpp"
	break;
      case 75: /* "alternative_expression_rationnelle" */

/* Line 1009 of yacc.c  */
#line 128 "analyseur.syn.ypp"
	{ delete (yyvaluep->ExpressionRationnelleAlternative); };

/* Line 1009 of yacc.c  */
#line 1713 "analyseur.syn.cpp"
	break;

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (Investigation::Donnees::SiteSP& site, Investigation::Donnees::DebugConditionsSP& debug_conditions);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (Investigation::Donnees::SiteSP& site, Investigation::Donnees::DebugConditionsSP& debug_conditions)
#else
int
yyparse (site, debug_conditions)
    Investigation::Donnees::SiteSP& site;
    Investigation::Donnees::DebugConditionsSP& debug_conditions;
#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

/* User initialization code.  */

/* Line 1251 of yacc.c  */
#line 48 "analyseur.syn.ypp"
{ 
#if YYDEBUG != 0
	parseurdebug=1;
#endif
}

/* Line 1251 of yacc.c  */
#line 1872 "analyseur.syn.cpp"

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1464 of yacc.c  */
#line 135 "analyseur.syn.ypp"
    {
	Investigation::Donnees::PageSP page_de_demarrage((yyvsp[(2) - (4)].Page));
	(*site) << page_de_demarrage;
	(*site) << *(yyvsp[(3) - (4)].SequenceInstructions);
	delete (yyvsp[(3) - (4)].SequenceInstructions);
;}
    break;

  case 3:

/* Line 1464 of yacc.c  */
#line 142 "analyseur.syn.ypp"
    {
;}
    break;

  case 4:

/* Line 1464 of yacc.c  */
#line 147 "analyseur.syn.ypp"
    {
	std::cout << std::endl << "   Entering condition debug mode..." << std::endl << std::endl;
;}
    break;

  case 5:

/* Line 1464 of yacc.c  */
#line 151 "analyseur.syn.ypp"
    {
;}
    break;

  case 6:

/* Line 1464 of yacc.c  */
#line 156 "analyseur.syn.ypp"
    {
;}
    break;

  case 7:

/* Line 1464 of yacc.c  */
#line 159 "analyseur.syn.ypp"
    {
	Investigation::Donnees::ConditionSP condition((yyvsp[(2) - (3)].Condition));
	(*debug_conditions) << condition;
;}
    break;

  case 8:

/* Line 1464 of yacc.c  */
#line 164 "analyseur.syn.ypp"
    {
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regex((yyvsp[(1) - (1)].ExpressionRationnelle));
	(*debug_conditions) << regex;
;}
    break;

  case 9:

/* Line 1464 of yacc.c  */
#line 169 "analyseur.syn.ypp"
    {
	std::cout << std::endl << "   /!\\ An error occured while evaluating the condition /!\\" << std::endl << std::endl;
;}
    break;

  case 10:

/* Line 1464 of yacc.c  */
#line 173 "analyseur.syn.ypp"
    {
	std::cout << std::endl << "   /!\\ An error occured while evaluating the regular expression /!\\" << std::endl << std::endl;
;}
    break;

  case 11:

/* Line 1464 of yacc.c  */
#line 179 "analyseur.syn.ypp"
    {
	debug_conditions.reset(new Investigation::Donnees::DebugConditions(*(yyvsp[(2) - (3)].ListeChaine)));
	delete (yyvsp[(2) - (3)].ListeChaine);
	std::cout << std::endl << "   Request keywords changed." << std::endl << std::endl;
;}
    break;

  case 12:

/* Line 1464 of yacc.c  */
#line 185 "analyseur.syn.ypp"
    {
	std::cout << std::endl << "   /!\\ An error occured while setting the request /!\\" << std::endl << std::endl;
;}
    break;

  case 13:

/* Line 1464 of yacc.c  */
#line 191 "analyseur.syn.ypp"
    {
	(yyval.ListeChaine) = new std::vector<std::string>();
;}
    break;

  case 14:

/* Line 1464 of yacc.c  */
#line 195 "analyseur.syn.ypp"
    {
	(yyval.ListeChaine)=(yyvsp[(1) - (2)].ListeChaine);
	(yyval.ListeChaine)->push_back(*(yyvsp[(2) - (2)].Chaine));
	delete (yyvsp[(2) - (2)].Chaine);
;}
    break;

  case 15:

/* Line 1464 of yacc.c  */
#line 203 "analyseur.syn.ypp"
    {
	site.reset(new Investigation::Donnees::Site(*(yyvsp[(2) - (2)].Chaine)));
	delete (yyvsp[(2) - (2)].Chaine);
;}
    break;

  case 16:

/* Line 1464 of yacc.c  */
#line 210 "analyseur.syn.ypp"
    {
	(*site) << (*(yyvsp[(2) - (3)].Chaine));
	delete (yyvsp[(2) - (3)].Chaine);
;}
    break;

  case 17:

/* Line 1464 of yacc.c  */
#line 215 "analyseur.syn.ypp"
    {
;}
    break;

  case 18:

/* Line 1464 of yacc.c  */
#line 220 "analyseur.syn.ypp"
    {
	(yyval.SequenceInstructions) = new Investigation::Donnees::SequenceInstructions();
;}
    break;

  case 19:

/* Line 1464 of yacc.c  */
#line 224 "analyseur.syn.ypp"
    {
	Investigation::Donnees::InstructionSP instruction((yyvsp[(2) - (2)].Instruction));
	(yyval.SequenceInstructions) = (yyvsp[(1) - (2)].SequenceInstructions);
	(yyval.SequenceInstructions)->push_back(instruction);
;}
    break;

  case 20:

/* Line 1464 of yacc.c  */
#line 232 "analyseur.syn.ypp"
    {
	(yyval.Instruction) = (yyvsp[(1) - (1)].Page);
;}
    break;

  case 21:

/* Line 1464 of yacc.c  */
#line 236 "analyseur.syn.ypp"
    {
	(yyval.Instruction) = (yyvsp[(1) - (1)].SelectionPage);
;}
    break;

  case 22:

/* Line 1464 of yacc.c  */
#line 242 "analyseur.syn.ypp"
    {
	Investigation::Global::Source::PositionSP position((yylsp[(2) - (6)]));
	(yyvsp[(4) - (6)].ListeChaine)->push_back(*(yyvsp[(3) - (6)].Chaine));
	(yyval.Page) = new Investigation::Donnees::Page((yyvsp[(1) - (6)].Booleen),*(yyvsp[(4) - (6)].ListeChaine),*(yyvsp[(5) - (6)].SequenceContenuPage),position);
	delete (yyvsp[(3) - (6)].Chaine);
	delete (yyvsp[(4) - (6)].ListeChaine);
	delete (yyvsp[(5) - (6)].SequenceContenuPage);
;}
    break;

  case 23:

/* Line 1464 of yacc.c  */
#line 251 "analyseur.syn.ypp"
    {
	Investigation::Global::Source::PositionSP position((yylsp[(2) - (8)]));
	(yyvsp[(4) - (8)].ListeChaine)->push_back(*(yyvsp[(3) - (8)].Chaine));
	(yyval.Page) = new Investigation::Donnees::Page((yyvsp[(1) - (8)].Booleen),*(yyvsp[(4) - (8)].ListeChaine),*(yyvsp[(6) - (8)].Chaine),*(yyvsp[(7) - (8)].SequenceContenuPage),position);
	delete (yyvsp[(3) - (8)].Chaine);
	delete (yyvsp[(4) - (8)].ListeChaine);
	delete (yyvsp[(6) - (8)].Chaine);
	delete (yyvsp[(7) - (8)].SequenceContenuPage);
;}
    break;

  case 24:

/* Line 1464 of yacc.c  */
#line 263 "analyseur.syn.ypp"
    {
	(yyval.Booleen) = false;
;}
    break;

  case 25:

/* Line 1464 of yacc.c  */
#line 267 "analyseur.syn.ypp"
    {
	(yyval.Booleen) = true;
;}
    break;

  case 26:

/* Line 1464 of yacc.c  */
#line 273 "analyseur.syn.ypp"
    {
	(yyval.SequenceContenuPage) = new Investigation::Donnees::SequenceContenuPage();
;}
    break;

  case 27:

/* Line 1464 of yacc.c  */
#line 277 "analyseur.syn.ypp"
    {
	(yyval.SequenceContenuPage) = (yyvsp[(1) - (2)].SequenceContenuPage);
	Investigation::Donnees::ContenuPageSP contenu((yyvsp[(2) - (2)].ContenuPage));
	(yyval.SequenceContenuPage)->push_back(contenu);
;}
    break;

  case 28:

/* Line 1464 of yacc.c  */
#line 285 "analyseur.syn.ypp"
    {
	(yyval.ContenuPage) = (yyvsp[(1) - (1)].ContenuPage);
;}
    break;

  case 29:

/* Line 1464 of yacc.c  */
#line 289 "analyseur.syn.ypp"
    {
	(yyval.ContenuPage) = (yyvsp[(1) - (1)].ContenuPage);
;}
    break;

  case 30:

/* Line 1464 of yacc.c  */
#line 295 "analyseur.syn.ypp"
    {
	(yyval.ContenuPage) = new Investigation::Donnees::Texte(*(yyvsp[(2) - (3)].Chaine));
	delete (yyvsp[(2) - (3)].Chaine);
;}
    break;

  case 31:

/* Line 1464 of yacc.c  */
#line 302 "analyseur.syn.ypp"
    {
	(yyval.Chaine) = new std::string();
;}
    break;

  case 32:

/* Line 1464 of yacc.c  */
#line 306 "analyseur.syn.ypp"
    {
	(yyval.Chaine) = (yyvsp[(1) - (2)].Chaine);
	(*(yyval.Chaine)) += (*(yyvsp[(2) - (2)].Chaine));
	delete (yyvsp[(2) - (2)].Chaine);
;}
    break;

  case 33:

/* Line 1464 of yacc.c  */
#line 314 "analyseur.syn.ypp"
    {
	(yyval.ContenuPage) = new Investigation::Donnees::Question(*(yyvsp[(2) - (4)].Chaine),*(yyvsp[(3) - (4)].SequenceReponses));
	delete (yyvsp[(2) - (4)].Chaine);
	delete (yyvsp[(3) - (4)].SequenceReponses);
;}
    break;

  case 34:

/* Line 1464 of yacc.c  */
#line 322 "analyseur.syn.ypp"
    {
	(yyval.SequenceReponses) = new Investigation::Donnees::SequenceReponses();
;}
    break;

  case 35:

/* Line 1464 of yacc.c  */
#line 326 "analyseur.syn.ypp"
    {
	(yyval.SequenceReponses) = (yyvsp[(1) - (2)].SequenceReponses);
	Investigation::Donnees::ReponseSP reponse((yyvsp[(2) - (2)].Reponse));
	(yyval.SequenceReponses)->push_back(reponse);
;}
    break;

  case 36:

/* Line 1464 of yacc.c  */
#line 334 "analyseur.syn.ypp"
    {
	(yyval.Reponse) = (yyvsp[(1) - (1)].Reponse);
;}
    break;

  case 37:

/* Line 1464 of yacc.c  */
#line 338 "analyseur.syn.ypp"
    {
	(yyval.Reponse) = new Investigation::Donnees::SelectionReponse(*(yyvsp[(2) - (4)].ClausesReponses),*(yyvsp[(3) - (4)].SequenceReponses));
	delete (yyvsp[(2) - (4)].ClausesReponses);
	delete (yyvsp[(3) - (4)].SequenceReponses);
;}
    break;

  case 38:

/* Line 1464 of yacc.c  */
#line 346 "analyseur.syn.ypp"
    {
	(yyval.ClausesReponses) = new Investigation::Donnees::Selection<Investigation::Donnees::Reponse>::SequenceClauses();
;}
    break;

  case 39:

/* Line 1464 of yacc.c  */
#line 350 "analyseur.syn.ypp"
    {
	(yyval.ClausesReponses) = (yyvsp[(1) - (5)].ClausesReponses);
	Investigation::Donnees::ConditionSP condition((yyvsp[(3) - (5)].Condition));
	Investigation::Global::Source::PositionSP position((yylsp[(3) - (5)]));
	(yyval.ClausesReponses)->push_back(Investigation::Donnees::Selection<Investigation::Donnees::Reponse>::Clause(condition,*(yyvsp[(5) - (5)].SequenceReponses),position));
	delete (yyvsp[(5) - (5)].SequenceReponses);
;}
    break;

  case 40:

/* Line 1464 of yacc.c  */
#line 360 "analyseur.syn.ypp"
    {
	(yyval.SequenceReponses) = new Investigation::Donnees::SequenceReponses();
;}
    break;

  case 41:

/* Line 1464 of yacc.c  */
#line 364 "analyseur.syn.ypp"
    {
	(yyval.SequenceReponses) = (yyvsp[(2) - (2)].SequenceReponses);
;}
    break;

  case 42:

/* Line 1464 of yacc.c  */
#line 370 "analyseur.syn.ypp"
    {
	Investigation::Global::Source::PositionSP position((yyloc));
	(yyval.Reponse) = new Investigation::Donnees::ReponseChoix(*(yyvsp[(1) - (2)].Chaine),*(yyvsp[(2) - (2)].Chaine),position);
	delete (yyvsp[(1) - (2)].Chaine);
	delete (yyvsp[(2) - (2)].Chaine);
;}
    break;

  case 43:

/* Line 1464 of yacc.c  */
#line 379 "analyseur.syn.ypp"
    {
	Investigation::Global::Source::PositionSP position((yyloc));
	(yyval.SelectionPage) = new Investigation::Donnees::SelectionPage(*(yyvsp[(2) - (4)].SequenceClausesPages),*(yyvsp[(3) - (4)].SequenceInstructions),position);
	delete (yyvsp[(2) - (4)].SequenceClausesPages);
	delete (yyvsp[(3) - (4)].SequenceInstructions);
;}
    break;

  case 44:

/* Line 1464 of yacc.c  */
#line 388 "analyseur.syn.ypp"
    {
	(yyval.SequenceClausesPages) = new Investigation::Donnees::SelectionPage::SequenceClauses();
	(yyval.SequenceClausesPages)->push_back(*(yyvsp[(1) - (1)].ClausesPages));
	delete (yyvsp[(1) - (1)].ClausesPages);
;}
    break;

  case 45:

/* Line 1464 of yacc.c  */
#line 394 "analyseur.syn.ypp"
    {
	(yyval.SequenceClausesPages) = (yyvsp[(1) - (2)].SequenceClausesPages);
	(yyval.SequenceClausesPages)->push_back(*(yyvsp[(2) - (2)].ClausesPages));
	delete (yyvsp[(2) - (2)].ClausesPages);
;}
    break;

  case 46:

/* Line 1464 of yacc.c  */
#line 402 "analyseur.syn.ypp"
    {
	Investigation::Donnees::ConditionSP condition((yyvsp[(2) - (4)].Condition));
	Investigation::Global::Source::PositionSP position((yylsp[(2) - (4)]));
	(yyval.ClausesPages) = new Investigation::Donnees::SelectionPage::Clause(condition,*(yyvsp[(4) - (4)].SequenceInstructions),position);
	delete (yyvsp[(4) - (4)].SequenceInstructions);
;}
    break;

  case 47:

/* Line 1464 of yacc.c  */
#line 411 "analyseur.syn.ypp"
    {
	(yyval.SequenceInstructions) = new Investigation::Donnees::SequenceInstructions(); 
;}
    break;

  case 48:

/* Line 1464 of yacc.c  */
#line 415 "analyseur.syn.ypp"
    {
	(yyval.SequenceInstructions) = (yyvsp[(2) - (2)].SequenceInstructions);
;}
    break;

  case 49:

/* Line 1464 of yacc.c  */
#line 421 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 50:

/* Line 1464 of yacc.c  */
#line 425 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 51:

/* Line 1464 of yacc.c  */
#line 431 "analyseur.syn.ypp"
    {
	(yyval.Condition) = new Investigation::Donnees::ConditionIdentifiant(*(yyvsp[(1) - (1)].Chaine));
	delete (yyvsp[(1) - (1)].Chaine);
;}
    break;

  case 52:

/* Line 1464 of yacc.c  */
#line 436 "analyseur.syn.ypp"
    {
	(yyval.Condition) = new Investigation::Donnees::ConditionIdentifiant(*(yyvsp[(2) - (2)].Chaine));
	not (*(yyval.Condition));
	delete (yyvsp[(2) - (2)].Chaine);
;}
    break;

  case 53:

/* Line 1464 of yacc.c  */
#line 442 "analyseur.syn.ypp"
    {
	(yyval.Condition) = new Investigation::Donnees::ConditionExpressionRationnelle<Investigation::Donnees::Patron<Investigation::Donnees::Glouton,std::string> >(*(yyvsp[(1) - (1)].ExpressionRationnelle));
	delete (yyvsp[(1) - (1)].ExpressionRationnelle);
;}
    break;

  case 54:

/* Line 1464 of yacc.c  */
#line 447 "analyseur.syn.ypp"
    {
	(yyval.Condition) = new Investigation::Donnees::ConditionExpressionRationnelle<Investigation::Donnees::Patron<Investigation::Donnees::Glouton,std::string> >(*(yyvsp[(2) - (2)].ExpressionRationnelle));
	not (*(yyval.Condition));
	delete (yyvsp[(2) - (2)].ExpressionRationnelle);
;}
    break;

  case 55:

/* Line 1464 of yacc.c  */
#line 453 "analyseur.syn.ypp"
    {
	(yyval.Condition) = new Investigation::Donnees::ConditionExpressionRationnelle<Investigation::Donnees::Patron<Investigation::Donnees::NonGlouton,std::string> >(*(yyvsp[(2) - (2)].ExpressionRationnelle));
	delete (yyvsp[(2) - (2)].ExpressionRationnelle);
;}
    break;

  case 56:

/* Line 1464 of yacc.c  */
#line 458 "analyseur.syn.ypp"
    {
	(yyval.Condition) = new Investigation::Donnees::ConditionExpressionRationnelle<Investigation::Donnees::Patron<Investigation::Donnees::NonGlouton,std::string> >(*(yyvsp[(3) - (3)].ExpressionRationnelle));
	not (*(yyval.Condition));
	delete (yyvsp[(3) - (3)].ExpressionRationnelle);
;}
    break;

  case 57:

/* Line 1464 of yacc.c  */
#line 466 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 58:

/* Line 1464 of yacc.c  */
#line 470 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 59:

/* Line 1464 of yacc.c  */
#line 474 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 60:

/* Line 1464 of yacc.c  */
#line 480 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].ConditionEt);
;}
    break;

  case 61:

/* Line 1464 of yacc.c  */
#line 484 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionEt);
	not (*(yyval.Condition));
;}
    break;

  case 62:

/* Line 1464 of yacc.c  */
#line 491 "analyseur.syn.ypp"
    {
	Investigation::Donnees::ConditionSP gauche((yyvsp[(1) - (3)].Condition));
	Investigation::Donnees::ConditionSP droite((yyvsp[(3) - (3)].Condition));
	(yyval.ConditionEt) = new Investigation::Donnees::ConditionEt(gauche,droite);
;}
    break;

  case 63:

/* Line 1464 of yacc.c  */
#line 497 "analyseur.syn.ypp"
    {
	(yyval.ConditionEt) = (yyvsp[(1) - (3)].ConditionEt);
	Investigation::Donnees::ConditionSP condition((yyvsp[(3) - (3)].Condition));
	(*(yyval.ConditionEt)) << condition;
;}
    break;

  case 64:

/* Line 1464 of yacc.c  */
#line 505 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 65:

/* Line 1464 of yacc.c  */
#line 509 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(2) - (3)].ConditionOuInclusif);
;}
    break;

  case 66:

/* Line 1464 of yacc.c  */
#line 513 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(2) - (3)].ConditionOuExclusif);
;}
    break;

  case 67:

/* Line 1464 of yacc.c  */
#line 517 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionOuInclusif);
	not (*(yyval.Condition));
;}
    break;

  case 68:

/* Line 1464 of yacc.c  */
#line 522 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionOuExclusif);
	not (*(yyval.Condition));
;}
    break;

  case 69:

/* Line 1464 of yacc.c  */
#line 529 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].ConditionOuInclusif);
;}
    break;

  case 70:

/* Line 1464 of yacc.c  */
#line 533 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionOuInclusif);
	not (*(yyval.Condition));
;}
    break;

  case 71:

/* Line 1464 of yacc.c  */
#line 540 "analyseur.syn.ypp"
    {
	Investigation::Donnees::ConditionSP gauche((yyvsp[(1) - (3)].Condition));
	Investigation::Donnees::ConditionSP droite((yyvsp[(3) - (3)].Condition));
	(yyval.ConditionOuInclusif) = new Investigation::Donnees::ConditionOuInclusif(gauche,droite);
;}
    break;

  case 72:

/* Line 1464 of yacc.c  */
#line 546 "analyseur.syn.ypp"
    {
	(yyval.ConditionOuInclusif) = (yyvsp[(1) - (3)].ConditionOuInclusif);
	Investigation::Donnees::ConditionSP condition((yyvsp[(3) - (3)].Condition));
	(*(yyval.ConditionOuInclusif)) << condition;
;}
    break;

  case 73:

/* Line 1464 of yacc.c  */
#line 554 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 74:

/* Line 1464 of yacc.c  */
#line 558 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(2) - (3)].ConditionEt);
;}
    break;

  case 75:

/* Line 1464 of yacc.c  */
#line 562 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(2) - (3)].ConditionOuExclusif);
;}
    break;

  case 76:

/* Line 1464 of yacc.c  */
#line 566 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionEt);
	not (*(yyval.Condition));
;}
    break;

  case 77:

/* Line 1464 of yacc.c  */
#line 571 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionOuExclusif);
	not (*(yyval.Condition));
;}
    break;

  case 78:

/* Line 1464 of yacc.c  */
#line 578 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].ConditionOuExclusif);
;}
    break;

  case 79:

/* Line 1464 of yacc.c  */
#line 582 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionOuExclusif);
	not (*(yyval.Condition));
;}
    break;

  case 80:

/* Line 1464 of yacc.c  */
#line 589 "analyseur.syn.ypp"
    {
	Investigation::Donnees::ConditionSP gauche((yyvsp[(1) - (3)].Condition));
	Investigation::Donnees::ConditionSP droite((yyvsp[(3) - (3)].Condition));
	(yyval.ConditionOuExclusif) = new Investigation::Donnees::ConditionOuExclusif(gauche,droite);
;}
    break;

  case 81:

/* Line 1464 of yacc.c  */
#line 595 "analyseur.syn.ypp"
    {
	(yyval.ConditionOuExclusif) = (yyvsp[(1) - (3)].ConditionOuExclusif);
	Investigation::Donnees::ConditionSP condition((yyvsp[(3) - (3)].Condition));
	(*(yyval.ConditionOuExclusif)) << condition;
;}
    break;

  case 82:

/* Line 1464 of yacc.c  */
#line 603 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(1) - (1)].Condition);
;}
    break;

  case 83:

/* Line 1464 of yacc.c  */
#line 607 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(2) - (3)].ConditionOuInclusif);
;}
    break;

  case 84:

/* Line 1464 of yacc.c  */
#line 611 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(2) - (3)].ConditionEt);
;}
    break;

  case 85:

/* Line 1464 of yacc.c  */
#line 615 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionOuInclusif);
	not (*(yyval.Condition));
;}
    break;

  case 86:

/* Line 1464 of yacc.c  */
#line 620 "analyseur.syn.ypp"
    {
	(yyval.Condition) = (yyvsp[(3) - (4)].ConditionEt);
	not (*(yyval.Condition));
;}
    break;

  case 87:

/* Line 1464 of yacc.c  */
#line 627 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelle) = (yyvsp[(2) - (3)].ExpressionRationnelleSequence);
;}
    break;

  case 88:

/* Line 1464 of yacc.c  */
#line 633 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelleSequence) = new Investigation::Donnees::ExpressionRationnelleSequence<std::string>();
;}
    break;

  case 89:

/* Line 1464 of yacc.c  */
#line 637 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelleSequence)=(yyvsp[(1) - (2)].ExpressionRationnelleSequence);
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regex((yyvsp[(2) - (2)].ExpressionRationnelle));
	(*(yyval.ExpressionRationnelleSequence)) << regex;
;}
    break;

  case 90:

/* Line 1464 of yacc.c  */
#line 645 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelle) = new Investigation::Donnees::ExpressionRationnelleLettre<std::string>(*(yyvsp[(1) - (1)].Chaine));
	delete (yyvsp[(1) - (1)].Chaine);
;}
    break;

  case 91:

/* Line 1464 of yacc.c  */
#line 650 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelle) = new Investigation::Donnees::ExpressionRationnelleJoker<std::string>();
;}
    break;

  case 92:

/* Line 1464 of yacc.c  */
#line 654 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelle) = (yyvsp[(2) - (3)].ExpressionRationnelleSequence);
;}
    break;

  case 93:

/* Line 1464 of yacc.c  */
#line 658 "analyseur.syn.ypp"
    {
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regex((yyvsp[(1) - (2)].ExpressionRationnelle));
	(yyval.ExpressionRationnelle) = new Investigation::Donnees::ExpressionRationnelleOptionnel<std::string>(regex);
;}
    break;

  case 94:

/* Line 1464 of yacc.c  */
#line 663 "analyseur.syn.ypp"
    {
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regex((yyvsp[(1) - (2)].ExpressionRationnelle));
	(yyval.ExpressionRationnelle) = new Investigation::Donnees::ExpressionRationnelleRepetitionObligatoire<std::string>(regex);
;}
    break;

  case 95:

/* Line 1464 of yacc.c  */
#line 668 "analyseur.syn.ypp"
    {
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regex((yyvsp[(1) - (2)].ExpressionRationnelle));
	(yyval.ExpressionRationnelle) = new Investigation::Donnees::ExpressionRationnelleRepetitionOptionnelle<std::string>(regex);
;}
    break;

  case 96:

/* Line 1464 of yacc.c  */
#line 673 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelle) = (yyvsp[(2) - (3)].ExpressionRationnelleAlternative);
;}
    break;

  case 97:

/* Line 1464 of yacc.c  */
#line 677 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelle) = new Investigation::Donnees::ExpressionRationnelleEnsembleLettre<std::string,Investigation::Donnees::TypeEnsembleLettre::POSITIF>(*(yyvsp[(2) - (3)].EnsembleChaine));
	delete (yyvsp[(2) - (3)].EnsembleChaine);
;}
    break;

  case 98:

/* Line 1464 of yacc.c  */
#line 682 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelle) = new Investigation::Donnees::ExpressionRationnelleEnsembleLettre<std::string,Investigation::Donnees::TypeEnsembleLettre::NEGATIF>(*(yyvsp[(3) - (4)].EnsembleChaine));
	delete (yyvsp[(3) - (4)].EnsembleChaine);
;}
    break;

  case 99:

/* Line 1464 of yacc.c  */
#line 689 "analyseur.syn.ypp"
    {
	(yyval.EnsembleChaine) = new std::set<std::string>();
	(yyval.EnsembleChaine)->insert(*(yyvsp[(1) - (1)].Chaine));
	delete (yyvsp[(1) - (1)].Chaine);
;}
    break;

  case 100:

/* Line 1464 of yacc.c  */
#line 695 "analyseur.syn.ypp"
    {
	(yyval.EnsembleChaine) = (yyvsp[(1) - (2)].EnsembleChaine);
	(yyval.EnsembleChaine)->insert(*(yyvsp[(2) - (2)].Chaine));
	delete (yyvsp[(2) - (2)].Chaine);
;}
    break;

  case 101:

/* Line 1464 of yacc.c  */
#line 703 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelleAlternative) = new Investigation::Donnees::ExpressionRationnelleAlternative<std::string>();
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regexg((yyvsp[(1) - (3)].ExpressionRationnelleSequence));
	(*(yyval.ExpressionRationnelleAlternative)) << regexg;
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regexd((yyvsp[(3) - (3)].ExpressionRationnelleSequence));
	(*(yyval.ExpressionRationnelleAlternative)) << regexd;
;}
    break;

  case 102:

/* Line 1464 of yacc.c  */
#line 711 "analyseur.syn.ypp"
    {
	(yyval.ExpressionRationnelleAlternative) = (yyvsp[(1) - (3)].ExpressionRationnelleAlternative);
	SHARED_PTR(Investigation::Donnees::ExpressionRationnelle<std::string>) regex((yyvsp[(3) - (3)].ExpressionRationnelleSequence));
	(*(yyval.ExpressionRationnelleAlternative)) << regex;
;}
    break;



/* Line 1464 of yacc.c  */
#line 3064 "analyseur.syn.cpp"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (site, debug_conditions, YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (site, debug_conditions, yymsg);
	  }
	else
	  {
	    yyerror (site, debug_conditions, YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, site, debug_conditions);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, site, debug_conditions);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (site, debug_conditions, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc, site, debug_conditions);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, site, debug_conditions);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 1684 of yacc.c  */
#line 718 "analyseur.syn.ypp"


int parseurlex_destroy();

int parseurerror(Investigation::Donnees::SiteSP& site, Investigation::Donnees::DebugConditionsSP& debug, std::string mesg)
{
	std::ostringstream oss;
	oss << mesg << "." ;
	if(not debug)
	{
		throw Investigation::Global::Exception::ErreurDeSyntaxe(parseurlloc,oss.str());
	}
	return 0;
}


